<script lang="ts" setup>
import { reactive } from "vue";
import Notification from "@/components/WhiskeyNotification.vue";
import router from "@/router";

const state = reactive({
  unitCode: "",
  unitDisplayName: "",
  unitEpflId: null as string | null,
  unitParentCode: null as string | null,
  error: null as string | null,
});

function handleSubmit() {
  state.error = "Ahahah IDIOT !";
}

function handleReset() {
  state.unitCode = "";
  state.unitDisplayName = "";
  state.unitEpflId = null;
  state.unitParentCode = null;
  state.error = null;
}
</script>

<template>
  <div class="">
    <div class="mt-5">
      <div class="mb-2 flex justify-between">
        <h2 class="text-2xl text-theme-text-darker">
          Création d'une nouvelle unité
        </h2>
        <v-btn exact to="/admin">Retour</v-btn>
      </div>
      <Notification
        :description="state.error || ''"
        :displayed="!!state.error"
        title="Erreur"
      ></Notification>
      <div class="">
        <v-card>
          <v-card-item>
            <form @submit="handleSubmit" @submit.prevent="submit">
              <v-text-field
                v-model="state.unitCode"
                label="Code d'unité"
              ></v-text-field>

              <v-text-field
                v-model="state.unitDisplayName"
                label="Nom de l'unité"
              ></v-text-field>

              <v-text-field
                v-model="state.unitParentCode"
                label="Code de l'unité parente"
              ></v-text-field>

              <v-text-field
                v-model="state.unitEpflId"
                label="Identifiant de l'unité EPFL"
              ></v-text-field>

              <!--          <v-select
                          v-model="select.value.value"
                          :error-messages="select.errorMessage.value"
                          :items="items"
                          label="Select"
                        ></v-select>

                        <v-checkbox
                          v-model="checkbox.value.value"
                          :error-messages="checkbox.errorMessage.value"
                          label="Option"
                          type="checkbox"
                          value="1"
                        ></v-checkbox>-->
            </form>
          </v-card-item>
          <v-card-actions>
            <v-btn
              class="me-4"
              color="success"
              variant="plain"
              @click="handleSubmit"
            >
              Créer
            </v-btn>
            <v-btn @click="handleReset"> Reset</v-btn>
          </v-card-actions>
        </v-card>
      </div>
    </div>
  </div>
</template>

<style></style>
